aboutsummaryrefslogtreecommitdiffstats
path: root/core
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2008-11-23 15:13:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2008-11-23 15:13:33 +0000
commitd050e48f55542bf493e4b0bc5327b4cc2a4fef6d (patch)
tree3d2829c8044f854f03b2d05350c7190951c5fb36 /core
parent3845839a16f3162c2362e9271f59fe52cef7bf83 (diff)
downloadaports-d050e48f55542bf493e4b0bc5327b4cc2a4fef6d.tar.gz
aports-d050e48f55542bf493e4b0bc5327b4cc2a4fef6d.tar.bz2
aports-d050e48f55542bf493e4b0bc5327b4cc2a4fef6d.tar.xz
core/bash: new aport
Diffstat (limited to 'core')
-rw-r--r--core/bash/APKBUILD83
-rw-r--r--core/bash/bash-noinfo.patch12
2 files changed, 95 insertions, 0 deletions
diff --git a/core/bash/APKBUILD b/core/bash/APKBUILD
new file mode 100644
index 0000000000..2f803070cd
--- /dev/null
+++ b/core/bash/APKBUILD
@@ -0,0 +1,83 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+
+pkgname=bash
+_patchlevel=039
+pkgver=3.2_p$_patchlevel
+pkgrel=3
+pkgdesc="The GNU Bourne Again shell"
+license='GPL'
+url="http://www.gnu.org/software/bash/bash.html"
+depends='readline uclibc'
+source="http://ftp.gnu.org/gnu/bash/bash-3.2.tar.gz
+ bash-noinfo.patch
+ "
+for _i in $(seq 1 $_patchlevel); do
+ # seq -w unsupported by busybox
+ _p=$(printf "%0.3i" $_i)
+ source="$source http://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-$_p"
+done
+
+subpackages="bash-doc"
+
+build() {
+ local p
+ cd ${startdir}/src/${pkgname}-3.2
+ for p in ../bash32-??? ../*.patch; do
+ msg "applying patch ${p##*/}"
+ patch -p0 -i $p || return 1
+ done
+
+ ./configure --prefix=/usr \
+ --with-curses \
+ --enable-readline \
+ --without-bash-malloc \
+ --with-installed-readline \
+ --bindir=/bin \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make -j1 || return 1
+ make DESTDIR=${pkgdir} install
+
+ rm -r "$pkgdir"/usr/share/locale
+}
+md5sums="00bfa16d58e034e3c2aa27f390390d30 bash-3.2.tar.gz
+80fec5f3d60a63756a4999c877e31a8e bash-noinfo.patch
+d8e10c754f477e3f3a581af566b89301 bash32-001
+d38a5288b2f0ea6c9ac76b66cc74ef7d bash32-002
+0b90d37911827d8cb95f3b4353cc225e bash32-003
+8062f3a59631f58d78b180d83759b68a bash32-004
+585b5943fadf0875ced243b245adde58 bash32-005
+1d5732e01ea938aeed42f3def131fa4d bash32-006
+dcd0cc5d801607827f7c851e72b0eabc bash32-007
+bb3c7dd11198c0ab93d0e960bebf6256 bash32-008
+434a6f29b0ca5f1ab784b2437ae8eaed bash32-009
+2efff04dd246fcf63bd4b99f77c9a081 bash32-010
+1dd104342f6920dfaf5efb3131e922e0 bash32-011
+4f24b696ab78bdfae4f9cb7eb59b835d bash32-012
+7c40addbf1187a26ae1c8373ed383442 bash32-013
+28e88c9f8679e99ac590d4a4a8227c56 bash32-014
+7c17d29675bd0d49470f162774385f80 bash32-015
+a1edaa98b4449fe2205fa75448b7b105 bash32-016
+889ed119bbf9d363660b9a0127f35efa bash32-017
+a7d3f85fa687d2c1b5a134839f6d395d bash32-018
+f0399da4007e46fc5820ce25d07425b9 bash32-019
+b76602281c3104d904fd064510fe0c21 bash32-020
+923374ae4403c92820f711e62e1d01a5 bash32-021
+c82d3bd14e373878b2a680dce18d1596 bash32-022
+987c949a77b4b0ffe4a2597141e77635 bash32-023
+5a2b976e761ab83f0fc7daae11451b86 bash32-024
+08668dc2825f65eced9cac6b09ce1b45 bash32-025
+f35b2b217f088ff009f956894550d41d bash32-026
+b5ff2b9610c61290f773c4b02cc1a37d bash32-027
+016f5b56c93404d32aea09385f0fc13e bash32-028
+a81420626d4d88d0dce2ffac0ac56341 bash32-029
+11f91baf970c132949f9072ee93f2ea6 bash32-030
+f6bbc1e8ec0246740731c728ef476191 bash32-031
+8180ec936770579bce69f0816c2dd878 bash32-032
+3cec33c3711860c4c6b7614afeec7870 bash32-033
+7bc6c5b5f38b7027152f8db0458a2e14 bash32-034
+a2db61fe90e39371d0e6cd2285ec9208 bash32-035
+95c70c7ae9de5bd3659c86284be7fb76 bash32-036
+62b876a3d7cd192cc8db2476fbb6b7b9 bash32-037
+aca3afc341bd3e5a0d8a3b4ca40dbb3f bash32-038
+e240c34f979b64bcb83c5f6567110bb1 bash32-039"
diff --git a/core/bash/bash-noinfo.patch b/core/bash/bash-noinfo.patch
new file mode 100644
index 0000000000..dcb598a493
--- /dev/null
+++ b/core/bash/bash-noinfo.patch
@@ -0,0 +1,12 @@
+diff -Naur doc/Makefile.in.orig doc/Makefile.in
+--- doc/Makefile.in.orig 2004-07-27 05:57:48.000000000 -0700
++++ doc/Makefile.in 2005-02-11 22:44:49.000000000 -0800
+@@ -220,7 +220,7 @@
+ $(SHELL) $(SUPPORT_SRCDIR)/mkinstalldirs $(DESTDIR)$(htmldir) ; \
+ fi
+
+-install: info installdirs bash.info
++install: installdirs
+ -$(INSTALL_DATA) $(srcdir)/bash.1 $(DESTDIR)$(man1dir)/bash${man1ext}
+ -$(INSTALL_DATA) $(srcdir)/bashbug.1 $(DESTDIR)$(man1dir)/bashbug${man1ext}
+ # uncomment the next line to install the builtins man page